searchNodes=[{"doc":"Query SunnyBoy 3.6 inverter for current output in watts, total yield and other information via the inverter&#39;s internal web interface. Note: the inverter only supports http, not https the inverter limits the number of active sessions, so it is a good idea to log out when your program terminates the inverter may close your session after a period of inactivity in your application, you probably want to poll the current ouput every n seconds, where n is small you probably want to poll the other values much less frequently be careful not to put too much pressure on the inverter&#39;s web server by excessive querying of historical yields you will have to interpret the data yourself and calculate your own deltas there is currently next to no input value verification; use carefully this module has so far only been tested on one specific actual device; there is no guarantee that this module is fit for your purpose / inverter; use at your own risk Example iex&gt; {:ok, session} = QSB36.user_login(&quot;192.168.1.90&quot;, &quot;password_for_user_group&quot;) {:ok, %QSB36.Session{host: &quot;192.168.1.90&quot;, sid: &quot;mOi0Eg_N4kaNhg_R&quot;}} iex&gt; QSB36.device_info(session) {:ok, {&quot;SB3.6-1AV-40 231&quot;, 1234567890}} iex&gt; QSB36.health_status(session) {:ok, {307, :ok}} iex&gt; QSB36.current_time(session) {:ok, {1584382357, 0}} iex&gt; QSB36.current_watts(session) {:ok, 262} iex&gt; QSB36.total_yield(session) {:ok, 3388801} iex&gt; QSB36.yield_daily(session, 1584309600, 1584410400) {:ok, [{1584316800, 3356183}, {1584403200, 3370444}]} iex&gt; QSB36.yield_5min(session, 1584316800, 1584403200) {:ok, [ {1584316800, 3356183}, ... {1584403200, 3370444} ] } iex&gt; QSB36.logout(session) :ok","ref":"QSB36.html","title":"QSB36","type":"module"},{"doc":"Asks the inverter for its current time (unix seconds) and offset (hours). Returns {:ok, {time, offset}} or {:error, reason}. Example iex&gt; {:ok, {time, offset}} = QSB36.current_time(session) {:ok, {1584382357, 0}}","ref":"QSB36.html#current_time/1","title":"QSB36.current_time/1","type":"function"},{"doc":"Asks the inverter for the current output in watts. Returns {:ok, watts} or {:error, reason}. Example iex&gt; QSB36.current_watts(session) {:ok, 262} # another rainy day","ref":"QSB36.html#current_watts/1","title":"QSB36.current_watts/1","type":"function"},{"doc":"Asks the inverter for its device name and serial number. Returns {:ok, {device_name, serial_number}} or {:error, reason}. Example iex&gt; QSB36.device_info(session) {:ok, {&quot;SB3.6-1AV-40 231&quot;, 1234567890}}","ref":"QSB36.html#device_info/1","title":"QSB36.device_info/1","type":"function"},{"doc":"Asks the inverter for its operational health status. Returns {:ok, {tag, description}} or {:error, reason}. Descriptive atoms are known for the following tags: 35 =&gt; :alm 303 =&gt; :off 307 =&gt; :ok 455 =&gt; :wrn 1719 =&gt; :com_nok 1725 =&gt; :not_conn 2130 =&gt; :conn_sett 3325 =&gt; :conn_fail 3426 =&gt; :wps_is_act Example iex&gt; QSB36.health_status(session) {:ok, {307, :ok}}","ref":"QSB36.html#health_status/1","title":"QSB36.health_status/1","type":"function"},{"doc":"Closes the session. Returns :ok or {:error, reason}. Example iex&gt; QSB36.logout(session) :ok","ref":"QSB36.html#logout/1","title":"QSB36.logout/1","type":"function"},{"doc":"Asks the inverter for its total yield in watts to date. Returns {:ok, watts} or {:error, reason}. Example iex&gt; QSB36.total_yield(session) {:ok, 3388801}","ref":"QSB36.html#total_yield/1","title":"QSB36.total_yield/1","type":"function"},{"doc":"Log in on host with password pass; the user group is &quot;user&quot; (as opposed to &quot;installer&quot;). Returns {:ok, session} or {:error, reason}.","ref":"QSB36.html#user_login/2","title":"QSB36.user_login/2","type":"function"},{"doc":"Asks the inverter for the 5-minute yield intervals in watts between start_time and end_time, which are given in unix seconds. The inverter returns a list of {time_stamp, total_yield_in_watts}-tuples that fall between start_time and end_time. Returns {:ok, [{time_stamp, watts}, ...]} or {:error, reason}. ## Example iex&gt; {:ok, series} = QSB36.yield_5min(session, 1584316800, 1584403200) {:ok, [ {1584316800, 3356183}, {1584317100, 3356183}, {1584317400, 3356183}, ... {1584345600, 3356316}, {1584345900, 3356330}, {1584346200, 3356345}, {1584346500, 3356361}, {1584346800, 3356382}, ... {1584402600, 3370444}, {1584402900, 3370444}, {1584403200, 3370444} ] }","ref":"QSB36.html#yield_5min/3","title":"QSB36.yield_5min/3","type":"function"},{"doc":"Asks the inverter for the daily yield in watts between start_time and end_time, which are given in unix seconds. The inverter returns a list of {time_stamp, total_yield_in_watts}-tuples that fall between start_time and end_time. Returns {:ok, [{time_stamp, watts}, ...]} or {:error, reason}. ## Example iex&gt; QSB36.yield_daily(session, 1584309600, 1584410400) {:ok, [{1584316800, 3356183}, {1584403200, 3370444}]} iex&gt; mar16watts = 3370444 - 3356183 14261","ref":"QSB36.html#yield_daily/3","title":"QSB36.yield_daily/3","type":"function"},{"doc":"Holds host and, once logged in, sid.","ref":"QSB36.Session.html","title":"QSB36.Session","type":"module"},{"doc":"","ref":"QSB36.Session.html#new/1","title":"QSB36.Session.new/1","type":"function"},{"doc":"","ref":"QSB36.Session.html#new/2","title":"QSB36.Session.new/2","type":"function"},{"doc":"","ref":"QSB36.Session.html#set_sid/2","title":"QSB36.Session.set_sid/2","type":"function"}]